<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: CProgram Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCProgram-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CProgram Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="program_8h_source.html">program.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for CProgram:</div>
<div class="dyncontent">
<div class="center"><img src="classCProgram__coll__graph.png" border="0" usemap="#CProgram_coll__map" alt="Collaboration graph"/></div>
<map name="CProgram_coll__map" id="CProgram_coll__map">
<area shape="rect" id="node2" href="classCClient.html" title="{CClient\n|# m_running\l# m_sock\l# m_buffer\l|+ CClient()\l+ ~CClient()\l+ isRunning()\l+ communicate()\l# authenticate()\l# treatResponse()\l}" alt="" coords="5,6,131,186"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a77ef0a9042cd906a145066157ea39752"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCProgram.html#a77ef0a9042cd906a145066157ea39752">CProgram</a> (string server)</td></tr>
<tr class="separator:a77ef0a9042cd906a145066157ea39752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dfeb30706e7af06114fdf18262d7926"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCProgram.html#a7dfeb30706e7af06114fdf18262d7926">~CProgram</a> ()</td></tr>
<tr class="separator:a7dfeb30706e7af06114fdf18262d7926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f87985764fec0db060eab39e1776c51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51">work</a> ()</td></tr>
<tr class="separator:a9f87985764fec0db060eab39e1776c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abb5ecce9e7a1ed205b01c4fb1a384e92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCClient.html">CClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCProgram.html#abb5ecce9e7a1ed205b01c4fb1a384e92">m_client</a></td></tr>
<tr class="separator:abb5ecce9e7a1ed205b01c4fb1a384e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6021a8231ec0437a7731a4ae72f80df0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCProgram.html#a6021a8231ec0437a7731a4ae72f80df0">m_server</a></td></tr>
<tr class="separator:a6021a8231ec0437a7731a4ae72f80df0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a77ef0a9042cd906a145066157ea39752"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CProgram::CProgram </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>server</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCProgram_a77ef0a9042cd906a145066157ea39752_cgraph.png" border="0" usemap="#classCProgram_a77ef0a9042cd906a145066157ea39752_cgraph" alt=""/></div>
<map name="classCProgram_a77ef0a9042cd906a145066157ea39752_cgraph" id="classCProgram_a77ef0a9042cd906a145066157ea39752_cgraph">
<area shape="rect" id="node2" href="classCFactory.html#a274654e381f04189b5ff61a8317d3270" title="Method creates a connection to the FTP server and creates socket. " alt="" coords="203,5,357,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7dfeb30706e7af06114fdf18262d7926"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CProgram::~CProgram </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9f87985764fec0db060eab39e1776c51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CProgram::work </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCProgram_a9f87985764fec0db060eab39e1776c51_cgraph.png" border="0" usemap="#classCProgram_a9f87985764fec0db060eab39e1776c51_cgraph" alt=""/></div>
<map name="classCProgram_a9f87985764fec0db060eab39e1776c51_cgraph" id="classCProgram_a9f87985764fec0db060eab39e1776c51_cgraph">
<area shape="rect" id="node2" href="classCClient.html#aa93835bf5aac10cb159f0aae18688dd3" title="CClient::isRunning" alt="" coords="182,5,314,32"/><area shape="rect" id="node3" href="classCClient.html#a8d12ebcc2ee9b3f28b1b0d986b394d33" title="CClient::communicate" alt="" coords="172,56,324,83"/><area shape="rect" id="node6" href="classCFactory.html#a93b669c007fcbde58a979dc531edfbdc" title="Method will properly delete instance of client and set a pointer to the NULL. " alt="" coords="171,107,325,133"/><area shape="rect" id="node4" href="classCClient.html#a128d8908e1a13163a998728b8d671bc0" title="CClient::authenticate" alt="" coords="374,31,519,57"/><area shape="rect" id="node5" href="classCClient.html#aa2125c488d5ee4b6c1b96cbfbef317b4" title="CClient::treatResponse" alt="" coords="569,56,727,83"/></map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="abb5ecce9e7a1ed205b01c4fb1a384e92"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCClient.html">CClient</a>* CProgram::m_client</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6021a8231ec0437a7731a4ae72f80df0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string CProgram::m_server</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/imp/<a class="el" href="program_8h_source.html">program.h</a></li>
<li>src/imp/<a class="el" href="program_8cpp.html">program.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
